<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xs:include schemaLocation="plesk_client.xsd"/>
	<xs:complexType name="clientSelectionFilterType">
		<xs:annotation>
			<xs:documentation>Fliter clients list</xs:documentation>
		</xs:annotation>
		<xs:choice>
			<xs:element name="id" type="id_type" minOccurs="0" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Client ID</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="login" type="string" minOccurs="0" maxOccurs="unbounded">
				<xs:annotation>
					<xs:documentation>Client name</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:choice>
	</xs:complexType>
	<xs:complexType name="ClientTypeRequest">
		<xs:choice maxOccurs="unbounded">
			<xs:element name="add">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="gen_info" type="clientAddGenInfo"/>
						<xs:element name="add_packages_to_client_pool" minOccurs="0">
							<xs:complexType>
								<xs:sequence>
									<xs:element name="package_id" type="xs:int" maxOccurs="unbounded"/>
								</xs:sequence>
							</xs:complexType>
						</xs:element>
						<xs:element name="limits" type="clientLimits" minOccurs="0"/>
						<xs:element name="permissions" type="clientPerms" minOccurs="0"/>
						<xs:choice minOccurs="0">
							<xs:element name="template-id" type="id_type"/>
							<xs:element name="template-name" type="string"/>
						</xs:choice>
						<xs:element name="sbnet-user" type="boolean" minOccurs="0">
							<xs:annotation>
								<xs:documentation>Create SiteBuilder User (supported by Plesk for Windows only)</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="get">
				<xs:annotation>
					<xs:documentation>Get clients data from server</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Filter clients to be refreshed</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="dataset" type="clientDatasetType">
							<xs:annotation>
								<xs:documentation>Client information to be updated</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="del">
				<xs:annotation>
					<xs:documentation>Delete client(s) from server</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Fliter clients to be deleted</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="set">
				<xs:annotation>
					<xs:documentation>Set client properties</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Filter clients to be refreshed</xs:documentation>
							</xs:annotation>
						</xs:element>
						<xs:element name="values">
							<xs:complexType>
								<xs:sequence>
									<xs:element name="gen_info" type="clientSetGenInfo" minOccurs="0">
										<xs:annotation>
											<xs:documentation>client client info</xs:documentation>
										</xs:annotation>
									</xs:element>
									<xs:element name="limits" type="clientLimits" minOccurs="0">
										<xs:annotation>
											<xs:documentation>Client limits</xs:documentation>
										</xs:annotation>
									</xs:element>
									<xs:element name="permissions" type="clientPerms" minOccurs="0">
										<xs:annotation>
											<xs:documentation>Client Permissions</xs:documentation>
										</xs:annotation>
									</xs:element>
									<xs:element name="sbnet-user" type="boolean" minOccurs="0">
										<xs:annotation>
											<xs:documentation>Create SiteBuilder User (supported by Plesk for Windows only)</xs:documentation>
										</xs:annotation>
									</xs:element>
								</xs:sequence>
							</xs:complexType>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="ippool_add_ip" type="ipPoolOperateType">
				<xs:annotation>
					<xs:documentation>Add IP address(es) to client's IP pool</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="ippool_del_ip" type="ipPoolOperateType">
				<xs:annotation>
					<xs:documentation>Delete the IP address(es) from the client's IP pool</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="cform_buttons_list">
				<xs:annotation>
					<xs:documentation>List client control form buttons</xs:documentation>
				</xs:annotation>
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Fliter clients to be listed</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="get-limit-descriptor">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Fliter clients to be deleted</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="get-permission-descriptor">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="filter" type="clientSelectionFilterType">
							<xs:annotation>
								<xs:documentation>Fliter clients to be deleted</xs:documentation>
							</xs:annotation>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
		</xs:choice>
	</xs:complexType>
</xs:schema>
